# Move Stage Applications

> Source: https://truto.one/docs/api-reference/unified-ats-api/applications/move-stage/

`POST /unified/ats/applications/move-stage`

Resource: **Applications** · API: **Unified ATS API**

## Supported integrations

Ashby, BambooHR, Greenhouse, Lever, Recruiterflow, SmartRecruiters, Workable

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Request body

- **`application_id`** _(string)_
  The ID of the application to move.
- **`stage_id`** _(string)_
  The ID of the stage to move the candidate to.
  Allowed: `LEAD`, `NEW`, `IN_REVIEW`, `INTERVIEW`, `OFFERRED`, `HIRED`, `REJECTED`, `WITHDRAWN`, `TRANSFERRED`
- **`user_id`** _(string)_
  The ID of the user moving the candidate.
- **`candidate_id`** _(string)_
  The ID of the candidate to move.
- **`remote_data`** _(object)_
  Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

## Response body

- **`id`** _(string)_
  The application's unique identifier
- **`candidate`** _(object)_
  The application's candidate
  - **`id`** _(string)_
    Unique identifier of the candidate
- **`job`** _(object)_
  The application's job
  - **`id`** _(string)_
    Unique identifier of the job
- **`applied_at`** _(string)_
  The date and time of the application's creation
- **`rejected_at`** _(string)_
  The date and time of the application's rejection
- **`source`** _(object)_
  The application's source
  - **`id`** _(string)_
    The application's source's unique identifier
  - **`name`** _(string)_
    The application's source's name
- **`credited_to`** _(object)_
  The application's credited_to
  - **`id`** _(string)_
    Unique identifier of the user
  - **`first_name`** _(string)_
    First name of the user
  - **`last_name`** _(string)_
    Last name of the user
  - **`emails`** _(array<object>)_
    - **`email`** _(string)_
      Email of the user
    - **`type`** _(string)_
      Type of the email
    - **`is_primary`** _(boolean)_
      Whether the email is primary
- **`current_stage`** _(object)_
  The application's current_stage
  - **`id`** _(string)_
    The application's current_stage's unique identifier
  - **`name`** _(string)_
    The application's current_stage's name
  - **`job`** _(object)_
    The application's current_stage's job
    - **`id`** _(string)_
      Unique identifier of the job
  - **`created_at`** _(string)_
    The date and time of the application's current_stage's creation
  - **`updated_at`** _(string)_
    The date and time of the application's current_stage's last update
- **`reject_reason`** _(string)_
  The application's reject_reason
- **`attachments`** _(array<object>)_
  The application's attachments
  - **`id`** _(string, required)_
    The attachment's unique identifier
  - **`file_name`** _(string)_
    The attachment's file_name
  - **`file_url`** _(string)_
    The attachment's file_url
  - **`candidate`** _(object)_
    The attachment's candidate
    - **`id`** _(string)_
      Unique identifier of the candidate
  - **`application`** _(object)_
    The attachment's application
    - **`id`** _(string)_
      Unique identifier of the application
  - **`job`** _(object)_
    The attachment's job
    - **`id`** _(string)_
      Unique identifier of the job
  - **`attachment_type`** _(string)_
    The attachment's type
  - **`created_at`** _(string)_
    The date and time of the attachment's creation
  - **`updated_at`** _(string)_
    The date and time of the attachment's last update
- **`created_at`** _(string)_
  The date and time of the application's creation
- **`updated_at`** _(string)_
  The date and time of the application's last update
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X POST 'https://api.truto.one/unified/ats/applications/move-stage?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "application_id": "your_application_id",
  "stage_id": "LEAD",
  "user_id": "your_user_id",
  "candidate_id": "your_candidate_id",
  "remote_data": {}
}'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const body = {
  "application_id": "your_application_id",
  "stage_id": "LEAD",
  "user_id": "your_user_id",
  "candidate_id": "your_candidate_id",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ats/applications/move-stage?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ats/applications/move-stage"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "application_id": "your_application_id",
    "stage_id": "LEAD",
    "user_id": "your_user_id",
    "candidate_id": "your_candidate_id",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: move-stage
const result = await truto.unifiedApi.move-stage(
  'ats',
  'applications',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: move-stage
    result = await truto_api.unified_api.move-stage(
        "ats",
        "applications",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
